---
title: "List all Local Users."
slug: "list-all-local-users-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/list-all-local-users-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Local Users.

Get/local-users

List all Local Users visible to current user.

SecurityHTTPType bearer

Query parametersquerystring

Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.

rangestring

'Range string to limit the result list. Format: -. 3-10 means the items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'

Example0-10
orderBystring

The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type.

Examplename
descendingstring

Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type.

filterBy

Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion.

object  property*string    additionalProperties
Example{
  "name": "us-east",
  "tags": "aws"
}

Responses200

List of Local Users.

<select class='api-response-data' aria-label='Media type'><option value='acfd985e-4574-4e2a-a1f6-2e482cb8f25b'>application/json</option>
</select>Expand Allobject  rangestring    

The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.

Example0-30/54
orderBystring    

The field name used to sort the list.

Examplename
descendingboolean    

Whether the sorting is applied descending or ascending.

queries Array of string   

The queries applied to the list.

string    
totalCountinteger    

The total readable count of entities. Not influenced by the query.

Example328
filterBy Array of object (FilterBy)   

The filters applied to the list.

object  namestring    

The field name the filter is applied to.

Examplename
valuestring    

The value used for comparison.

ExampleAWS

data Array of object (LocalUser)   

List of Local Users.

object  idstring  (uuid)    

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring    

Name of the object.

Exampleobject
notesstring    

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
createdstring  (date-time)    

Create date.

updatedstring  (date-time)    

Last update date.

tags Array of string   

Array of tags.

Example[
  "developer",
  "api-created"
]string    
firstNamestring    

First name of the user. May be used as claim.

ExampleBobby
lastNamestring    

Last name of the user. May be used as claim.

ExampleTables

emailstring    

E-mail address for the user. May be used as claim.

Examplebobby@tables.com
phonestring    

Phone number for the user. May be used as claim.

Example+1-202-555-0172
disabledboolean    

If true, the user will not be able to login.

failedLoginAttemptsnumber    

Number of wrong password login attempts since last successiful login.

Example0.0
lockStartstring  (date-time)    

The date time when the user got locked out. A local user is locked out of the system after X amount of consecutive failed login attempts, where X is configurable in the local Identity Provider. The lock is in effect for Y minute(s), where Y is configurable in the local Identity Provider. When the user logs in successfully, this field becomes null.

401

Token error. Login again.

<select class='api-response-data' aria-label='Media type'><option value='51a3a352-feb4-4e21-b7ff-edaefa9ae828'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

403

Insufficient permissions to access this resource.

<select class='api-response-data' aria-label='Media type'><option value='c1fc0aa3-cd4a-4c4c-82d0-490c5c375f26'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

406

Invalid 'Accept' header.

<select class='api-response-data' aria-label='Media type'><option value='e66e4263-f16d-45ac-9811-04e48d729df0'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

500

Unexpected server side error.

<select class='api-response-data' aria-label='Media type'><option value='38a21e89-470a-4160-a729-c48228dad168'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.
